% This code if for the book titled: Advanced Digital Signal Processing 
% of Seismic Data by Wail A. Mousa 
% January 1, 2020.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Chapter 2 MATLAB codes %%%
%%% Figure 2.16 Dispersed sinusoid%%
clear,clc,close all
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

t=linspace(0,1,256);
f1=20;
k1=0.1;

dw=2*pi;
dk=2*pi*0.01;

w1=2*pi*f1-dw;
w2=2*pi*f1+dw;

K1=2*pi*k1-dk;
K2=2*pi*k1+dk;

x=10;
u=cos(w1*t-K1*x)+cos(w2*t-K2*x);
x=20;
u1=cos(w1*t-K1*x)+cos(w2*t-K2*x);

plot(t,u,'k',t,u1,'k-.','LineWidth',2)
xlabel('{\it t} (s)','FontName','times','FontSize',14);
ylabel(['{\it u}({\it x}_{fixed},{\itt})'],'FontName','times','FontSize',14);
legend('{\itx}=10 m','{\itx}=20 m')
axis([0,1,-3,3])
set(gcf,'PaperPositionMode','auto')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
x=linspace(-100,100,256);
f1=20;
k1=0.1;

dw=2*pi;
dk=2*pi*0.01;

w1=2*pi*f1-dw;
w2=2*pi*f1+dw;

K1=2*pi*k1-dk;
K2=2*pi*k1+dk;

t=0.05;
u=cos(w1*t-K1*x)+cos(w2*t-K2*x);
t=0.15;
u1=cos(w1*t-K1*x)+cos(w2*t-K2*x);

figure,
plot(x,u,'k',x,u1,'k-.','LineWidth',2)
xlabel('{\itx} (m)','FontName','times','FontSize',14);
ylabel(['{\itu}({\itx},{\itt}_{fixed})'],'FontName','times','FontSize',14);
legend('{\itt}=0.05 s','{\itt}=0.15 s')
axis([-100,100,-3,3])
set(gcf,'PaperPositionMode','auto')
